<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>NBTUtils (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="NBTUtils (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/sk89q/jnbt/NBTOutputStream.html" title="class in com.sk89q.jnbt"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/sk89q/jnbt/ShortTag.html" title="class in com.sk89q.jnbt"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/sk89q/jnbt/NBTUtils.html" target="_top">Frames</a></li>
<li><a href="NBTUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.jnbt</div>
<h2 title="Class NBTUtils" class="title">Class NBTUtils</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.jnbt.NBTUtils</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">NBTUtils</span>
extends java.lang.Object</pre>
<div class="block">A class which contains NBT-related utility methods.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static &lt;T extends <a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&gt;<br>T</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/NBTUtils.html#getChildTag-java.util.Map-java.lang.String-java.lang.Class-">getChildTag</a></span>(java.util.Map&lt;java.lang.String,<a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&gt;&nbsp;items,
           java.lang.String&nbsp;key,
           java.lang.Class&lt;T&gt;&nbsp;expected)</code>
<div class="block">Get child tag of a NBT structure.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static java.lang.Class&lt;? extends <a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/NBTUtils.html#getTypeClass-int-">getTypeClass</a></span>(int&nbsp;type)</code>
<div class="block">Gets the class of a type of tag.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/NBTUtils.html#getTypeCode-java.lang.Class-">getTypeCode</a></span>(java.lang.Class&lt;? extends <a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&gt;&nbsp;clazz)</code>
<div class="block">Gets the type code of a tag class.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/NBTUtils.html#getTypeName-java.lang.Class-">getTypeName</a></span>(java.lang.Class&lt;? extends <a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&gt;&nbsp;clazz)</code>
<div class="block">Gets the type name of a tag.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static <a href="../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/NBTUtils.html#toVector-com.sk89q.jnbt.ListTag-">toVector</a></span>(<a href="../../../com/sk89q/jnbt/ListTag.html" title="class in com.sk89q.jnbt">ListTag</a>&nbsp;listTag)</code>
<div class="block">Read a vector from a list tag containing ideally three values: the
 X, Y, and Z components.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getTypeName-java.lang.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTypeName</h4>
<pre>public static&nbsp;java.lang.String&nbsp;getTypeName(java.lang.Class&lt;? extends <a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&gt;&nbsp;clazz)</pre>
<div class="block">Gets the type name of a tag.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>clazz</code> - the tag class</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The type name.</dd>
</dl>
</li>
</ul>
<a name="getTypeCode-java.lang.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTypeCode</h4>
<pre>public static&nbsp;int&nbsp;getTypeCode(java.lang.Class&lt;? extends <a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&gt;&nbsp;clazz)</pre>
<div class="block">Gets the type code of a tag class.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>clazz</code> - the tag class</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The type code.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if the tag class is invalid.</dd>
</dl>
</li>
</ul>
<a name="getTypeClass-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTypeClass</h4>
<pre>public static&nbsp;java.lang.Class&lt;? extends <a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&gt;&nbsp;getTypeClass(int&nbsp;type)</pre>
<div class="block">Gets the class of a type of tag.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - the type</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The class.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if the tag type is invalid.</dd>
</dl>
</li>
</ul>
<a name="toVector-com.sk89q.jnbt.ListTag-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toVector</h4>
<pre>public static&nbsp;<a href="../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;toVector(<a href="../../../com/sk89q/jnbt/ListTag.html" title="class in com.sk89q.jnbt">ListTag</a>&nbsp;listTag)</pre>
<div class="block">Read a vector from a list tag containing ideally three values: the
 X, Y, and Z components.

 <p>For values that are unavailable, their values will be 0.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listTag</code> - the list tag</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a vector</dd>
</dl>
</li>
</ul>
<a name="getChildTag-java.util.Map-java.lang.String-java.lang.Class-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getChildTag</h4>
<pre>public static&nbsp;&lt;T extends <a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&gt;&nbsp;T&nbsp;getChildTag(java.util.Map&lt;java.lang.String,<a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&gt;&nbsp;items,
                                            java.lang.String&nbsp;key,
                                            java.lang.Class&lt;T&gt;&nbsp;expected)
                                     throws <a href="../../../com/sk89q/worldedit/world/storage/InvalidFormatException.html" title="class in com.sk89q.worldedit.world.storage">InvalidFormatException</a></pre>
<div class="block">Get child tag of a NBT structure.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>items</code> - the map to read from</dd>
<dd><code>key</code> - the key to look for</dd>
<dd><code>expected</code> - the expected NBT class type</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>child tag</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../com/sk89q/worldedit/world/storage/InvalidFormatException.html" title="class in com.sk89q.worldedit.world.storage">InvalidFormatException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/sk89q/jnbt/NBTOutputStream.html" title="class in com.sk89q.jnbt"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/sk89q/jnbt/ShortTag.html" title="class in com.sk89q.jnbt"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/sk89q/jnbt/NBTUtils.html" target="_top">Frames</a></li>
<li><a href="NBTUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
